<?php

namespace Models;

use Bases\Model;

class Infolettre extends Model{
    protected $table = "infolettres";

    /**
     * Retourne un compte infolettre selon un courriel
     *
     * @param string $courriel
     * @return object|false 
     */
    public function parCourriel($courriel){
        $sql = "SELECT * FROM $this->table WHERE courriel = :courriel";

        $requete = $this->pdo()->prepare($sql);

        $requete->execute([
            ":courriel" => $courriel
        ]);

        return $requete->fetch();
    }

    /**
     * Insère un nouveau compte dans l'infolettre
     *
     * @param string $nom
     * @param string $courriel
     * @return bool
     */
    public function inserer($nom, $courriel){
        $sql = "INSERT INTO $this->table
                    (nom, courriel)
                VALUES 
                    (:nom, :courriel)";

        $requete = $this->pdo()->prepare($sql);

        return $requete->execute([
            ":nom" => $nom,
            ":courriel" => $courriel
        ]);
    }
}